#!/bin/sh

set -e

OUTPUT=$AUTOPKGTEST_TMP/walk.out

cleanup () {
  [ "$AGENT_PID" ] && kill $AGENT_PID
  rm -f $OUTPUT
}

trap "cleanup" 0 2 3 15

# enable localhost access to full snmp data
sed -i '/^rocommunity\s\+public/ i\
rocommunity public localhost' /etc/snmp/snmpd.conf
service snmpd restart

python3 debian/tests/example-agent.py 2>&1 &
AGENT_PID=$!

# Give the test agent time to register fully:
sleep 5

snmpwalk -v 2c -c public localhost 1.3.6.1.4.1.8072.9999.9999 | tee $OUTPUT

grep -q '\.1\.0 = INTEGER: 1000$' $OUTPUT
